{
  "schema_version": "1.4.0",
  "id": "GHSA-c5vv-mhrm-6wxg",
  "modified": "2025-04-11T03:58:12Z",
  "published": "2022-05-17T01:54:23Z",
  "aliases": [
    "CVE-2011-2911"
  ],
  "details": "Integer overflow in the CSoundFile::ReadWav function in src/load_wav.cpp in libmodplug before 0.8.8.4 allows remote attackers to cause a denial of service and possibly execute arbitrary code via a crafted WAV file, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-2911"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/68983"
    },
    {
      "type": "WEB",
      "url": "http://jira.atheme.org/browse/AUDPLUG-394"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2011-August/063786.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2011-September/066044.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2011-08/msg00019.html"
    },
    {
      "type": "WEB",
      "url": "http://modplug-xmms.git.sourceforge.net/git/gitweb.cgi?p=modplug-xmms/modplug-xmms%3Ba=commitdiff%3Bh=2d4c56de314ab13e4437bd8b609f0b751066eee8"
    },
    {
      "type": "WEB",
      "url": "http://modplug-xmms.git.sourceforge.net/git/gitweb.cgi?p=modplug-xmms/modplug-xmms;a=commitdiff;h=2d4c56de314ab13e4437bd8b609f0b751066eee8"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2011-1264.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/45131"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/45658"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/45742"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/45901"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/46032"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/46043"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/46793"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48058"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48434"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48439"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/projects/modplug-xmms/files/libmodplug/0.8.8.4"
    },
    {
      "type": "WEB",
      "url": "http://ubuntu.com/usn/usn-1255-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2012/dsa-2415"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-201203-14.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-201203-16.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2011/08/10/4"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2011/08/12/4"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/74208"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/48979"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-06-07T19:55:00Z"
  }
}